PtexReader::MetaData::LargeMetaData Class Reference

`#include <PtexReader.h>`

## Public Member Functions

| LargeMetaData (int size)
virtual | ~LargeMetaData ()
void * | data ()

## Private Member Functions

| LargeMetaData (const LargeMetaData &)

## Private Attributes

char * | _data

## Detailed Description

Definition at line 272 of file PtexReader.h.

## Constructor & Destructor Documentation

## LargeMetaData() [1/2]

PtexReader::MetaData::LargeMetaData::LargeMetaData | ( | int | size | ) |

inline

Definition at line 275 of file PtexReader.h.

## ~LargeMetaData()

virtual PtexReader::MetaData::LargeMetaData::~LargeMetaData | ( |  | ) |

inlinevirtual

Definition at line 277 of file PtexReader.h.

References _data.

## LargeMetaData() [2/2]

PtexReader::MetaData::LargeMetaData::LargeMetaData | ( | const LargeMetaData & |  | ) |

private

## Member Function Documentation

## data()

void * PtexReader::MetaData::LargeMetaData::data | ( |  | ) |

inline

Definition at line 278 of file PtexReader.h.

References _data.

Referenced by PtexReader::MetaData::getEntry().

## Member Data Documentation

## _data

char* PtexReader::MetaData::LargeMetaData::_data

private

Definition at line 281 of file PtexReader.h.

Referenced by data(), and ~LargeMetaData().

The documentation for this class was generated from the following file:

- PtexReader.h